## rdflib 0.1.0

=== DESCRIPTION ===
Package: rdflib
Title: Tools to Manipulate and Query Semantic Data
Version: 0.1.0
Authors@R: person("Carl", "Boettiger", 
                  email = "cboettig@gmail.com", 
                  role = c("aut", "cre", "cph"),
                  comment=c(ORCID = "0000-0002-1642-628X"))
Description: The Resource Description Framework, or 'RDF' is a widely used
             data representation model that forms the cornerstone of the 
             Semantic Web. 'RDF' represents data as a graph rather than 
             the familiar data table or rectangle of relational databases.
             The 'rdflib' package provides a friendly and concise user interface
             for performing common tasks on 'RDF' data, such as reading, writing
             and converting between the various serializations of 'RDF' data,
             including 'rdfxml', 'turtle', 'nquads', 'ntriples', and 'json-ld';
             creating new 'RDF' graphs, and performing graph queries using 'SPARQL'.
             This package wraps the low level 'redland' R package which
             provides direct bindings to the 'redland' C library.  Additionally,
             the package supports the newer and more developer friendly
             'JSON-LD' format through the 'jsonld' package. The package
             interface takes inspiration from the Python 'rdflib' library.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
URL: https://github.com/ropensci/rdflib
BugReports: https://github.com/ropensci/rdflib/issues
Imports: redland, jsonld, methods, utils, stringi, readr
RoxygenNote: 6.0.1
Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT,
        tidyverse, dplyr, tidyr, tibble, purrr, lubridate, httr, xml2,
        jsonlite, repurrrsive, nycflights13, codemetar
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-03-08 21:40:42 UTC; cboettig
Author: Carl Boettiger [aut, cre, cph]
    (<https://orcid.org/0000-0002-1642-628X>)
Maintainer: Carl Boettiger <cboettig@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-09 12:56:58 UTC

## rdflib 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,20 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.1.0
-Authors@R: person("Carl", "Boettiger", 
+Version: 0.2.0
+Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
-                  comment=c(ORCID = "0000-0002-1642-628X"))
+                  comment=c(ORCID = "0000-0002-1642-628X")),
+             person("Bryce", "Mecum", 
+                  role = "rev",
+                  comment=c(ORCID = "0000-0002-0381-3766")),
+             person("Anna", "Krystalli", 
+                  role = "rev",
+                  comment=c(ORCID = "0000-0002-2378-4915")),
+             person("Viktor", "Senderov",
+                  email = "vsenderov@gmail.com",
+                  role = "ctb",
+                  comment = c(ORCID = "0000-0003-3340-5963")))
 Description: The Resource Description Framework, or 'RDF' is a widely used
              data representation model that forms the cornerstone of the 
              Semantic Web. 'RDF' represents data as a graph rather than 
@@ -24,16 +34,20 @@
 LazyData: true
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
-Imports: redland, jsonld, methods, utils, stringi, readr
-RoxygenNote: 6.0.1
-Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT,
-        tidyverse, dplyr, tidyr, tibble, purrr, lubridate, httr, xml2,
-        jsonlite, repurrrsive, nycflights13, codemetar
+Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
+RoxygenNote: 6.1.1
+Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
+        purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
+        nycflights13, spelling
 VignetteBuilder: knitr
+Language: en-US
 NeedsCompilation: no
-Packaged: 2018-03-08 21:40:42 UTC; cboettig
+Packaged: 2018-11-13 06:11:19 UTC; rstudio
 Author: Carl Boettiger [aut, cre, cph]
-    (<https://orcid.org/0000-0002-1642-628X>)
+    (<https://orcid.org/0000-0002-1642-628X>),
+  Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
+  Anna Krystalli [rev] (<https://orcid.org/0000-0002-2378-4915>),
+  Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-03-09 12:56:58 UTC
+Date/Publication: 2018-11-13 06:30:03 UTC

## rdflib 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -42,7 +42,7 @@
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2018-11-13 06:11:19 UTC; rstudio
+Packaged: 2018-11-25 04:43:13 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -50,4 +50,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-11-13 06:30:03 UTC
+Date/Publication: 2018-11-25 05:20:03 UTC

## rdflib 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.1
+Version: 0.2.4
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -31,18 +31,17 @@
              interface takes inspiration from the Python 'rdflib' library.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
 Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.2
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
         nycflights13, spelling
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2018-11-25 04:43:13 UTC; cboettig
+Packaged: 2022-01-03 19:14:45 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -50,4 +49,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-11-25 05:20:03 UTC
+Date/Publication: 2022-01-03 19:40:02 UTC

## rdflib 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.4
+Version: 0.2.6
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -34,14 +34,14 @@
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
 Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
         nycflights13, spelling
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-01-03 19:14:45 UTC; cboettig
+Packaged: 2023-03-09 19:43:49 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -49,4 +49,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-01-03 19:40:02 UTC
+Date/Publication: 2023-03-09 21:50:06 UTC

## rdflib 0.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rdflib
 Title: Tools to Manipulate and Query Semantic Data
-Version: 0.2.6
+Version: 0.2.7
 Authors@R: c(person("Carl", "Boettiger", 
                   email = "cboettig@gmail.com", 
                   role = c("aut", "cre", "cph"),
@@ -33,15 +33,15 @@
 Encoding: UTF-8
 URL: https://github.com/ropensci/rdflib
 BugReports: https://github.com/ropensci/rdflib/issues
-Imports: redland, jsonld, methods, utils, stringi, readr, dplyr, tidyr
+Imports: redland, methods, utils, stringi, readr, dplyr, tidyr
 RoxygenNote: 7.2.3
 Suggests: magrittr, covr, testthat, knitr, rmarkdown, jqr, DT, tibble,
         purrr, lubridate, httr, xml2, jsonlite, repurrrsive,
-        nycflights13, spelling
+        nycflights13, spelling, jsonld
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: no
-Packaged: 2023-03-09 19:43:49 UTC; cboettig
+Packaged: 2023-09-15 18:02:32 UTC; cboettig
 Author: Carl Boettiger [aut, cre, cph]
     (<https://orcid.org/0000-0002-1642-628X>),
   Bryce Mecum [rev] (<https://orcid.org/0000-0002-0381-3766>),
@@ -49,4 +49,4 @@
   Viktor Senderov [ctb] (<https://orcid.org/0000-0003-3340-5963>)
 Maintainer: Carl Boettiger <cboettig@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-09 21:50:06 UTC
+Date/Publication: 2023-09-16 05:50:02 UTC

## rdflib 2.4.2

=== debian/changelog ===
rdflib (2.4.2-3build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:50 +0000

rdflib (2.4.2-3) unstable; urgency=low

  * QA upload.
  * Build using dh_python2 (thanks, Matthias Klose; incidentally closes:
    #551690).
  * Remove uses of string exceptions, no longer supported in Python 2.6
    (closes: #585325).
  * Add ${misc:Depends}.
  * Add build-indep and build-arch targets to debian/rules.
  * Convert to 3.0 (quilt) source format.

 -- Colin Watson <cjwatson@debian.org>  Sat, 04 May 2013 19:42:14 +0100

rdflib (2.4.2-2) unstable; urgency=low

  * Orphaned
   + Set maintainer to Debian QA Group <packages@qa.debian.org>

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 04 Mar 2013 22:48:37 +0100

rdflib (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
   + Tweaking install targets to avoid problems building the
     package using Python2.6. Thanks Josselin. (closes: #547854).
  * debian/control
   + Update standards-version to 3.8.3 (no changes).
  * debian/changelog
   + Add a new copyright holder.

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 22 Sep 2009 16:34:04 +0200

rdflib (2.4.0-5) unstable; urgency=low

  * debian/control
   + Depending on python-pkg-resources instead of python-setuptools
     at runtime (closes: #468713).
   + Bumping standards version to 3.7.3.
   + Moving the Homepage information to the right place.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 02 Mar 2008 11:26:50 +0100

rdflib (2.4.0-4) unstable; urgency=low

  * debian/rules
   + Fixing a shebang which forces rdflib to depend on python2.5 
     (closes: #428558).
   + Egg stuff is now handled by python-support, removing the manual
     renaming.
  * debian/control
   + Build-depend on python-support >= 0.6

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 25 Jun 2007 23:03:09 +0200

rdflib (2.4.0-3) unstable; urgency=low

  * debian/pyversions
  - Dropped. Now building against all supported python versions.
  * debian/control
  - Build-depending on python-all-dev instead of python2.4-dev.
  * debian/rules
  - s/pyversions -r/pyversions -s
  - Minor cosmetic changes.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 27 May 2007 14:01:07 +0200

rdflib (2.4.0-2) unstable; urgency=medium

  * debian/control
  - Added missing dependency on python-setuptools.
  * Urgency medium due to this missing dependency renders 
    rdfpipe unusable.

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 09 Apr 2007 23:39:06 +0200

rdflib (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Switching to quilt.
    - Changing maintainer's email address.
    - Added python-setuptools to build-deps.
    - Added information about rdfpipe to package description.
  * debian/copyright
    - Extending copyright dates.
    - Added Chimezie as a member of the RDFLib team.
  * debian/manpages
    - Added manpage for rdfpipe(1).
  * debian/rules
    - Getting rid of installed (now by default) test files.
    - Dealing with egg information directory.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 06 Apr 2007 15:22:41 +0200

rdflib (2.3.3-1) unstable; urgency=low

  * Initial release. (Closes: #278255)

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Wed, 13 Dec 2006 00:01:10 +0100

=== debian/control ===
Source: rdflib
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.8.3
Homepage: http://rdflib.net/

Package: python-rdflib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources
Provides: ${python:Provides}
Description: RDF library containing an RDF triple store and RDF/XML parser/serializer
 RDFLib is a Python library for working with RDF, a simple yet
 powerful language for representing information. The library
 contains an RDF/XML parser/serializer that conforms to the
 RDF/XML Syntax Specification and both in-memory and persistent 
 Graph backend.
 .
 This package also provides a serialization format converter
 called rdfpipe in order to deal with the different formats
 RDFLib works with.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS=$(shell pyversions -vs)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build-indep:
build-arch: configure-stamp $(PYVERS:%=build-python%)
build: build-arch

build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	find $(CURDIR) -regex ".+.pyc" | xargs rm -rf
	rm -f build-stamp configure-stamp build-python2.* install-python2.*
	rm -rf build
	dh_clean 

install: build $(PYVERS:%=install-python%)

install-python%:
	dh_testdir
	dh_testroot
	python$* setup.py install --no-compile --root=$(CURDIR)/debian/python-rdflib --single-version-externally-managed --install-layout=deb
	rm -rf $(CURDIR)/debian/python-rdflib/usr/lib/python$*/*-packages/test
	sed -i -e "s@\(/usr/bin/python\).*@\1@" $(CURDIR)/debian/python-rdflib/usr/bin/rdfpipe
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_installman debian/manpages/rdfpipe.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure

## rdflib 2.4.2-1maemo1

=== debian/changelog ===
rdflib (2.4.2-1maemo1) unstable; urgency=low

  * Initial package of python-rdflib for maemo

 -- Markus Korn <thekorn@gmx.de>  Sat, 17 Jul 2010 12:30:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: rdflib
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~), python-setuptools
+Maintainer: Markus Korn <thekorn@gmx.de>
+Build-Depends: debhelper (>= 5), python-all-dev, python-support (>= 0.6), quilt (>= 0.40), python-setuptools
 Standards-Version: 3.8.3
 Homepage: http://rdflib.net/
 
 Package: python-rdflib
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pkg-resources
+Depends: ${shlibs:Depends}, ${python:Depends}, python-pkg-resources
 Provides: ${python:Provides}
 Description: RDF library containing an RDF triple store and RDF/XML parser/serializer
  RDFLib is a Python library for working with RDF, a simple yet

=== debian/rules ===
--- 
+++ 
@@ -2,21 +2,21 @@
 
 PYVERS=$(shell pyversions -vs)
 
+include /usr/share/quilt/quilt.make
+
 configure: configure-stamp
-configure-stamp:
+configure-stamp: patch
 	dh_testdir
 	touch $@
 
-build-indep:
-build-arch: configure-stamp $(PYVERS:%=build-python%)
-build: build-arch
+build: configure-stamp $(PYVERS:%=build-python%)
 
 build-python%:
 	dh_testdir
 	python$* setup.py build
 	touch $@
 
-clean:
+clean: unpatch 
 	dh_testdir
 	dh_testroot
 	find $(CURDIR) -regex ".+.pyc" | xargs rm -rf
@@ -46,7 +46,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python2
+	dh_pysupport
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -54,4 +54,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure

## rdflib 4.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/rdflib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/rdflib.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
rdflib (4.1.2-3) unstable; urgency=low

  * Upload to unstable almost identical to 4.1.2-2.
  * Cleanup of this changelog, for revisions 3.2.1-1.1 by Sören Brunk
    <soeren.brunk@gmail.com> and 3.2.1-1.2 by Christian M. Amsüss
    <chrysn@fsfse.org>, which previously appeared on their own as
    UNRELEASED, and have now been merged into 4.0.1-1's entry.

 -- Olivier Berger <obergix@debian.org>  Sat, 24 May 2014 22:47:03 +0200

rdflib (4.1.2-2) experimental; urgency=medium

  * Adding nose to the autopkgtest deps

 -- Olivier Berger <obergix@debian.org>  Sun, 18 May 2014 10:24:35 +0200

rdflib (4.1.2-1) experimental; urgency=low

  * New upstream version.
  * New maintainers, which I forgot to mention (Closes: #702300).

 -- Olivier Berger <obergix@debian.org>  Wed, 14 May 2014 10:35:04 +0200

rdflib (4.0.1-3) unstable; urgency=low

  * Should now be ready for prime time, ready for upload to unstable.
  * Improve the test suite launch script for Python3 a bit.

 -- Olivier Berger <obergix@debian.org>  Tue, 13 May 2014 11:26:08 +0200

rdflib (4.0.1-2) experimental; urgency=low

  * Prevent passing tests requiring network, at build time (Closes:
    #739222).
  * Declare Replaces+Breaks relationship for binary split into -tools
    (Closes: #738829).
  * Add dep-8/autopkgtest support to pass full test suite when not at
    build time.

 -- Olivier Berger <obergix@debian.org>  Mon, 12 May 2014 23:46:18 +0200

rdflib (4.0.1-1) experimental; urgency=low

  [ Olivier Berger ]
  * New upstream version (Closes: #655039).

  [ Christian M. Amsüss ]
  * Use debhelper 9 with dh_python2 and dh_python3.
  * Use the pybuild system
  * Added build-depends on the runtime dependencies and python{,3}-nose for
    running tests (Closes: #709671).
  * Use source format 3.0 (quilt)
  * Bumping standards version to 3.9.4

  [ Sören Brunk ]
  * New upstream release.
  * Build using dh_python2.
  * removed manpage for rdfpipe since it has moved to rdfextras upstream.
  * debian/control
   - Removed build dependency on python-support.
   + Depends on python-isodate.
   + Bumping standards version to 3.9.3.

 -- Olivier Berger <obergix@debian.org>  Wed, 29 Jan 2014 16:20:28 +0100

=== debian/control ===
Source: rdflib
Section: python
Priority: optional
Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Uploaders: Olivier Berger <obergix@debian.org>
Build-Depends: debhelper (>= 9), python3 (>=3.3.0-2), dh-python,
    python-all, python3-all, python-setuptools, python3-setuptools,
    python-isodate, python3-isodate, python-pkg-resources, python3-pkg-resources, python-nose, python3-nose, python-html5lib,
    python-sphinx, python-pyparsing, python3-pyparsing, python3-html5lib, python-sparqlwrapper
#, python3-sparqlwrapper : not yet needed as we deactivate tests for Python3
# needing python3 >= 3.3.0-2 due to pybuild system, but in 3.3, the distutils test function breaks for yet unknown reasons
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: https://github.com/RDFLib/rdflib
Vcs-Git: https://git.debian.org/anonscm/git/collab-maint/rdflib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rdflib.git
XS-Testsuite: autopkgtest

Package: python-rdflib
Architecture: any
# Attention: dh_python2 --no-guessing-deps in debian/rules, so make everything explicit
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-isodate, python-pyparsing
#, python-pkg-resources
Provides: ${python:Provides}
# Recommand these, only, as may noty be useful all the time
Recommends: ${python:Recommends}, python-sparqlwrapper, python-html5lib
Suggests: python-rdflib-doc, python-rdflib-tools
Description: Python library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 2 version of RDFLib.

Package: python3-rdflib
Architecture: any
# Attention: dh_python3 --no-guessing-deps in debian/rules, so make everything explicit
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-isodate, python3-pyparsing
#python3-pkg-resources
Provides: ${python3:Provides}
Recommends: python3-sparqlwrapper, python3-html5lib
Suggests: python-rdflib-doc
Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 3 version of RDFLib.

Package: python-rdflib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This is the common documentation package.

Package: python-rdflib-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-rdflib (>= 4.0.1-1)
Replaces: python-rdflib (<< 4.0.1-1)
Breaks: python-rdflib (<< 4.0.1-1)
Description: Python library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains some executable tools.

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1
# set verbosity of nose tests if needed, by uncommenting the following
#TESTS_VERBOSITY=--verbosity=2

# uncomment to deactivate tests to make package generation quicker
#export PYBUILD_DISABLE_python2=test

export PYBUILD_NAME=rdflib

# For the time being, don't install the /usr/bin scripts for Python2 (hack)
# Instead, we'll patch the scripts to add a shebang and put links into /usr/bin
export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/tmp
export PYBUILD_AFTER_INSTALL_python2=rm -fr '{destdir}/tmp/'
# For the time being, don't install the /usr/bin scripts for Python3 (hack)
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/tmp
export PYBUILD_AFTER_INSTALL_python3=rm -fr '{destdir}/tmp/'


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	python setup.py build_sphinx
endif

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif
#override_dh_sphinxdoc:
#(test -d $(CURDIR)/debian/python-rdflib-doc && dh_sphinxdoc) || /bin/true

# Make sure pybuild doesn't prevent running tests that require network connections (test_conneg) by setting proxy env vars
override_dh_auto_test:
	#This is supposed to be working at least for Python 2, and runs 1352 tests (71 skipped):
	# PYBUILD_DISABLE_python3=test \
	# http_proxy= https_proxy= dh_auto_test --buildsystem=pybuild
	#But we can alternatively use upstream provided script, which runs 1415 tests (71 skipped):
	#In a pybuild-compatible way, it goes :
	PYBUILD_DISABLE_python3=test \
	PYBUILD_SYSTEM=custom \
        PYBUILD_TEST_ARGS="{interpreter} run_tests.py $(TESTS_VERBOSITY) --exclude=test_conneg" \
	dh_auto_test --buildsystem=pybuild
	#To be uncommented once tests pass for Python 3, and once python3-sparqlwrapper is in the archive (and a build-dep)
	# #Then for Python 3 :
	# PYBUILD_DISABLE_python2=test \
	# PYBUILD_SYSTEM=custom \
        # PYBUILD_TEST_ARGS="./run_tests_py3.sh" \
	# http_proxy= https_proxy= \
	# dh_auto_test --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -X.pyc

# The deps guessing seems not so perfect (SPARQLWrapper not needed everywhere, IMHO), so better do it manually
# The --no-shebang-rewrite is needed so that dh_python2 won't try to touch shebangs for the shell scripts (see #732308)
override_dh_python2:
	dh_python2 --no-guessing-deps --no-shebang-rewrite

override_dh_python3:
	dh_python3 --no-guessing-deps

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rdflib-$1\.tar\.gz/ \
  https://github.com/RDFLib/rdflib/tags .*/v?(\d\S*)\.tar\.gz

## rdflib 4.2.1

=== debian/changelog ===
rdflib (4.2.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    Closes: #852464

 -- Sascha Steinbiss <satta@debian.org>  Tue, 24 Jan 2017 00:27:08 +0000

rdflib (4.2.1-2) unstable; urgency=medium

  * Demote html5lib and SPARQLWrapper from install_requires to tests_require
    and extras_require (new patch, closes: #845643)
  * Mostly use the (now correct) python-declared dependencies instead of
    manual overrides
  * Break circular dependency loop by adding nocheck and nodoc profile
  * Make all packages `Architecture: all`

 -- Christian M. Amsüss <chrysn@fsfe.org>  Wed, 07 Dec 2016 08:50:57 +0100

rdflib (4.2.1-1) unstable; urgency=medium

  [ upstream ]
  * New version. (Closes: #838849, #748111)

  [ Christian M. Amsüss ]
  * Refresh patches, drop fixed ones.
  * Update copyright file.
  * Bump standards-version to 3.9.8
  * Drop obsolete control lines and workarounds
  * Update package descriptions
  * Add README.source file
  * Enable test suite for Python 3
  * Register with doc-base

  [ Andreas Tille ]
  * make sure build/ dir is really cleaned up

 -- Christian M. Amsüss <chrysn@fsfe.org>  Thu, 03 Nov 2016 04:50:23 +0100

=== debian/control ===
Source: rdflib
Section: python
Priority: optional
Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Uploaders: Olivier Berger <obergix@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9.20141010), python3 (>=3.3.0-2), dh-python (>= 1.20140128),
    python-all, python3-all, python-setuptools, python3-setuptools,
    python-pkg-resources, python3-pkg-resources,
    dpkg-dev (>= 1.17.14),
    python-sphinx <!nodoc>,
# relevant both for testing and documentation generation (sphinx imports the modules)
    python-isodate <!nocheck> <!nodoc>, python3-isodate <!nocheck> <!nodoc>,
    python-pyparsing <!nocheck> <!nodoc>, python3-pyparsing <!nocheck> <!nodoc>,
# relevant for testing, but for some reasons at least some of those are
# required to build original-identical documentation, and I didn't take the
# time to find out which
    python-nose <!nocheck> <!nodoc>, python3-nose <!nocheck> <!nodoc>,
    python-networkx <!nocheck> <!nodoc>, python3-networkx <!nocheck> <!nodoc>,
    python3-html5lib <!nocheck> <!nodoc>, python-html5lib <!nocheck> <!nodoc>,
    python-sparqlwrapper (>= 1.7.6~) <!nocheck> <!nodoc>, python3-sparqlwrapper (>= 1.7.6~) <!nocheck> <!nodoc>
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://github.com/RDFLib/rdflib
Vcs-Git: https://anonscm.debian.org/git/collab-maint/rdflib.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rdflib.git

Package: python-rdflib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
# workaround for https://bugs.debian.org/841314
Recommends: python-sparqlwrapper (>= 1.7.6~), python-html5lib
#Recommends: ${python:Recommends}
Suggests: python-rdflib-doc, python-rdflib-tools
Description: Python library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 2 version of RDFLib.

Package: python3-rdflib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
# workaround for https://bugs.debian.org/841314
Recommends: python3-sparqlwrapper (>= 1.7.6~), python3-html5lib
#Recommends: ${python3:Recommends}
Suggests: python-rdflib-doc
Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 3 version of RDFLib.

Package: python-rdflib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Build-Profiles: <!nodoc>
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library containing an RDF triple store [...] (documentation)
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This is the common documentation package.

Package: python-rdflib-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-rdflib (>= 4.0.1-1)
Replaces: python-rdflib (<< 4.0.1-1)
Breaks: python-rdflib (<< 4.0.1-1)
Description: Python tools for converting to and from RDF
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains some executable tools.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,11 @@
 
 
 %:
+ifneq "$(shell dh_listpackages | grep -- -doc)" ""
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+else
+	dh $@ --with python2,python3 --buildsystem=pybuild
+endif
 
 override_dh_auto_build:
 ifneq "$(shell dh_listpackages | grep -- -doc)" ""
@@ -39,28 +43,30 @@
 override_dh_auto_test:
 	#This is supposed to be working at least for Python 2, and runs 1352 tests (71 skipped):
 	# PYBUILD_DISABLE_python3=test \
-	# http_proxy= https_proxy= dh_auto_test --buildsystem=pybuild
+	# PYBUILD_TEST_ARGS=--exclude=test_conneg \
+	# dh_auto_test --buildsystem=pybuild
 	#But we can alternatively use upstream provided script, which runs 1415 tests (71 skipped):
 	#In a pybuild-compatible way, it goes :
+	# test_dawg and test_issue375 are excluded because they would use the system's rdflib in standalone interpreters
 	PYBUILD_DISABLE_python3=test \
 	PYBUILD_SYSTEM=custom \
-        PYBUILD_TEST_ARGS="{interpreter} run_tests.py $(TESTS_VERBOSITY) --exclude=test_conneg" \
+        PYBUILD_TEST_ARGS="{interpreter} run_tests.py $(TESTS_VERBOSITY) --exclude=test_conneg --exclude=test_dawg --exclude=test_issue375" \
 	dh_auto_test --buildsystem=pybuild
-	#To be uncommented once tests pass for Python 3, and once python3-sparqlwrapper is in the archive (and a build-dep)
-	# #Then for Python 3 :
-	# PYBUILD_DISABLE_python2=test \
-	# PYBUILD_SYSTEM=custom \
-        # PYBUILD_TEST_ARGS="./run_tests_py3.sh" \
-	# http_proxy= https_proxy= \
-	# dh_auto_test --buildsystem=pybuild
+	#Then for Python 3 : (test_dawg and test_issue375 excluded pending https://github.com/RDFLib/rdflib/issues/664)
+	PYBUILD_DISABLE_python2=test \
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS="./run_tests_py3.sh ${TESTS_VERBOSITY} --exclude=test_conneg --exclude=test_dawg --exclude=test_issue375" \
+	dh_auto_test --buildsystem=pybuild
+
+override_dh_clean:
+	rm -rf *egg.info build
+	dh_clean
 
 override_dh_installexamples:
 	dh_installexamples -X.pyc
 
-# The deps guessing seems not so perfect (SPARQLWrapper not needed everywhere, IMHO), so better do it manually
-# The --no-shebang-rewrite is needed so that dh_python2 won't try to touch shebangs for the shell scripts (see #732308)
-override_dh_python2:
-	dh_python2 --no-guessing-deps --no-shebang-rewrite
+#override_dh_python2:
+#	dh_python2 --recommends-section=sparql --recommends-section=html
 
-override_dh_python3:
-	dh_python3 --no-guessing-deps
+#override_dh_python3:
+#	dh_python3 --recommends-section=sparql --recommends-section=html

## rdflib 4.2.2

=== debian/changelog ===
rdflib (4.2.2-5) unstable; urgency=medium

  * Drop python2 support; Closes: #938336

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 02:53:45 -0400

rdflib (4.2.2-4) unstable; urgency=medium

  * Build documentation with python3-sphinx

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 17:03:32 -0400

rdflib (4.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * debian/control
    - add python3-lib2to3, needed by setup.py
    - remove python-rdflib-jsonld from b-d, not available anymore;
      Closes: #947730
    - remove python-networkx from b-d, some tests will be skipped but this is
      the last rdep, so we can remove py2 networkx from Debian
    - add python3-pkg-resources explicitly to python-rdflib-tools Depends;
      Closes: #923979
  * debian/rules
    - run tests in verbose mode, more helpful to identify what's happening
    - make sure p-r-tools/usr/bin is removed before copying over the scripts,
      probably only useful when there are 2+ supported py3k versions, still
      FTBFS without this change

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Jan 2020 01:11:37 -0500

rdflib (4.2.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python(3)-Version fields
  * d/changelog: Remove trailing whitespaces

  [ Christian Amsüss ]
  * tools:
    - Use easy_install provided scripts (CVE-2019-7653, closes: #921751)
    - Use Python 3
  * d/control:
    - Update Standards-Version to 4.3.0 (no further changes)
    - Remove retired Olivier Berger from uploaders (closes: #917913)
    - Update salsa location
  * d/patches: Acknowledge that pyparsinglatest.patch is not required any more
  * Add bsddb3 and rdflib-jsonld to test dependencies
    - Disable broken tests for rdflib-jsonld at build time

 -- Christian M. Amsüss <chrysn@fsfe.org>  Fri, 15 Feb 2019 15:50:18 +0100

rdflib (4.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Move packaging Git from Alioth to Salsa
  * Build-Depends: 2to3

 -- Andreas Tille <tille@debian.org>  Sat, 28 Apr 2018 15:39:31 +0200

=== debian/control ===
Source: rdflib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christian M. Amsüss <chrysn@fsfe.org>
Build-Depends: debhelper (>= 9.20141010), python3 (>=3.3.0-2), dh-python (>= 1.20140128),
    python3-all, python3-setuptools,
    python3-pkg-resources,
    python3-lib2to3,
    dpkg-dev (>= 1.17.14),
    python3-sphinx <!nodoc>,
# relevant both for testing and documentation generation (sphinx imports the modules)
    python3-isodate <!nocheck> <!nodoc>,
    python3-pyparsing <!nocheck> <!nodoc>,
# relevant for testing, but for some reasons at least some of those are
# required to build original-identical documentation, and I didn't take the
# time to find out which (and some assorted)
    python3-nose <!nocheck> <!nodoc>,
    python3-networkx <!nocheck> <!nodoc>,
    python3-html5lib <!nocheck> <!nodoc>,
    python3-sparqlwrapper (>= 1.7.6~) <!nocheck> <!nodoc>,
    2to3 <!nocheck> <!nodoc>,
# relevant to testing, but have no bearing on documentation
    python3-bsddb3 <!nocheck>,
    python3-rdflib-jsonld <!nocheck>
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/rdflib
Vcs-Git: https://salsa.debian.org/python-team/modules/rdflib.git
Homepage: https://github.com/RDFLib/rdflib

Package: python3-rdflib
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
# workaround for https://bugs.debian.org/841314
Recommends: python3-sparqlwrapper (>= 1.7.6~), python3-html5lib
#Recommends: ${python3:Recommends}
Suggests: python-rdflib-doc
Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 3 version of RDFLib.

Package: python-rdflib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Build-Profiles: <!nodoc>
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library containing an RDF triple store [...] (documentation)
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This is the common documentation package.

Package: python-rdflib-tools
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python3, python3-rdflib (>= 4.0.1-1), python3-pkg-resources
Replaces: python-rdflib (<< 4.0.1-1)
Breaks: python-rdflib (<< 4.0.1-1)
Description: Python tools for converting to and from RDF
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains some executable tools.

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1
# set verbosity of nose tests if needed, by uncommenting the following
#TESTS_VERBOSITY=--verbosity=2

# uncomment to deactivate tests to make package generation quicker
#export PYBUILD_DISABLE_python2=test

export PYBUILD_NAME=rdflib

# Install (only) those into the -tools package
export PYBUILD_AFTER_INSTALL_python3=rm -rf 'debian/python-rdflib-tools/usr/bin'; mv '{destdir}/usr/bin' 'debian/python-rdflib-tools/usr/'

%:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	python3 setup.py build_sphinx
endif

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif
#override_dh_sphinxdoc:
#(test -d $(CURDIR)/debian/python-rdflib-doc && dh_sphinxdoc) || /bin/true

# Make sure pybuild doesn't prevent running tests that require network connections (test_conneg) by setting proxy env vars
# Skips the test_finalnewline as that fails with JSON-LD.
# Skips the test_roundtrip test (should skip its test_cases(('nt', 'json-ld',
#   'test/nt/keywords-04.nt'),), but don't know how to state that) as that fails
#   with JSON-LD.
override_dh_auto_test:
	#Then for Python 3 : (test_dawg and test_issue375 excluded pending https://github.com/RDFLib/rdflib/issues/664)
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="./run_tests_py3.sh ${TESTS_VERBOSITY} --exclude=test_conneg --exclude=test_dawg --exclude=test_issue375 --exclude=test_finalnewline --exclude=test_roundtrip --verbose" \
	dh_auto_test --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_python3:
	dh_python3 --recommends-section=sparql --recommends-section=html

=== debian/tests/control ===
Tests: python3
Depends: @, python3-sparqlwrapper, python3-nose
Restrictions: allow-stderr

## rdflib 5.0.0

=== requirements.txt ===
flake8
html5lib
isodate
pyparsing
requests
six
doctest-ignore-unicode

=== debian/changelog ===
rdflib (5.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/tests: Update path for test runner, disable tests that require
    network access, and fix test dependencies (Closes: #979841)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 10 Feb 2021 21:06:36 +0100

rdflib (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Yaroslav Halchenko ]
  * Team upload.
  * New upstream release; Closes: #959205
  * d/patches:
    - silentcopy.patch - dropped (original code is gone)
    - disabledoctest.patch - updated
  * d/control:
    - add python3-sphinxcontrib.apidoc to Build-Depends
    - boosted compat to 10 (dh_clean otherwise is not happy)
  * d/rules:
    - adjust custom tests runner specification: use python3, remove
      exclusion of tests issue for which is now closed, exclude
      test_sparql_service requiring online access
    - enable  nodoc  profile if sphinx is too old (before 2.4) to
      ease no-effort backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Dec 2020 17:51:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: rdflib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christian M. Amsüss <chrysn@fsfe.org>
-Build-Depends: debhelper (>= 9.20141010), python3 (>=3.3.0-2), dh-python (>= 1.20140128),
+Build-Depends: debhelper (>= 10), python3 (>=3.3.0-2), dh-python (>= 1.20140128),
     python3-all, python3-setuptools,
     python3-pkg-resources,
     python3-lib2to3,
     dpkg-dev (>= 1.17.14),
     python3-sphinx <!nodoc>,
+    python3-sphinxcontrib.apidoc <!nodoc>,
 # relevant both for testing and documentation generation (sphinx imports the modules)
     python3-isodate <!nocheck> <!nodoc>,
     python3-pyparsing <!nocheck> <!nodoc>,
@@ -24,8 +25,8 @@
     python3-bsddb3 <!nocheck>,
     python3-rdflib-jsonld <!nocheck>
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/rdflib
-Vcs-Git: https://salsa.debian.org/python-team/modules/rdflib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
+Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
 Homepage: https://github.com/RDFLib/rdflib
 
 Package: python3-rdflib

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,13 @@
 
 # Install (only) those into the -tools package
 export PYBUILD_AFTER_INSTALL_python3=rm -rf 'debian/python-rdflib-tools/usr/bin'; mv '{destdir}/usr/bin' 'debian/python-rdflib-tools/usr/'
+
+# upstream requires more recent sphinx now, which we have in stock Debian.
+# Dynamically enable nodoc profile if sphinx is too old to simplify backports
+SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 2.4 && echo new || echo old )
+ifeq "$(SPHINX_VER)" "old"
+    export DEB_BUILD_PROFILES += nodoc
+endif
 
 %:
 ifneq "$(shell dh_listpackages | grep -- -doc)" ""
@@ -39,9 +46,8 @@
 #   'test/nt/keywords-04.nt'),), but don't know how to state that) as that fails
 #   with JSON-LD.
 override_dh_auto_test:
-	#Then for Python 3 : (test_dawg and test_issue375 excluded pending https://github.com/RDFLib/rdflib/issues/664)
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="./run_tests_py3.sh ${TESTS_VERBOSITY} --exclude=test_conneg --exclude=test_dawg --exclude=test_issue375 --exclude=test_finalnewline --exclude=test_roundtrip --verbose" \
+	PYBUILD_TEST_ARGS="python3 ./run_tests.py ${TESTS_VERBOSITY} --exclude=test_sparql_service --exclude=test_conneg --exclude=test_finalnewline --exclude=test_roundtrip --verbose" \
 	dh_auto_test --buildsystem=pybuild
 
 override_dh_installexamples:

=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-nose, python3-requests
Restrictions: allow-stderr
